Skip to navigation

Approve Task Action

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
session_idstringRequired
task_idstringRequired
action_idstringRequired

Request

This endpoint expects an object.
decisionenumRequired
Allowed values:
idempotency_keystringRequired1-128 characters
alwaysbooleanOptionalDefaults to false
Also always allow this browser commit at its playbook step.
capobject or nullOptional

The most an always-allowed commit may send in one named amount field.

Response

Successful Response
decisionstring
idstring
statusstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error